- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# mysqlpp::Transaction Member List

This is the complete list of members for mysqlpp::Transaction, including all inherited members.

commit() | mysqlpp::Transaction |
global enum value | mysqlpp::Transaction |
IsolationLevel enum name | mysqlpp::Transaction |
IsolationScope enum name | mysqlpp::Transaction |
read_committed enum value | mysqlpp::Transaction |
read_uncommitted enum value | mysqlpp::Transaction |
repeatable_read enum value | mysqlpp::Transaction |
rollback() | mysqlpp::Transaction |
serializable enum value | mysqlpp::Transaction |
session enum value | mysqlpp::Transaction |
this_transaction enum value | mysqlpp::Transaction |
Transaction(Connection &conn, bool consistent=false) | mysqlpp::Transaction |
Transaction(Connection &conn, IsolationLevel level, IsolationScope scope=this_transaction, bool consistent=false) | mysqlpp::Transaction |
~Transaction() | mysqlpp::Transaction |